unit uMessageDlgDemo;

{ **************************************************************************** }
{ **************************************************************************** }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons;

type
  TForm1 = class(TForm)
    BtnWarnung: TButton;
    BtnFehler: TButton;
    BtnInformationen: TButton;
    BtnBestaetigung: TButton;
    BtnMeldung: TButton;
    LblSyntaxMessageDlg: TLabel;
    BtnYes: TButton;
    BtnNo: TButton;
    BtnOK: TButton;
    BtnCancel: TButton;
    BtnHelp: TButton;
    BtnAbort: TButton;
    BtnRetry: TButton;
    BtnIgnore: TButton;
    BtnAll: TButton;
    BtnYesNoCancel: TButton;
    BtnOKCancel: TButton;
    BtnAbortRetryCancel: TButton;
    BitBtnInputBox: TBitBtn;
    EdtAusgabe: TEdit;
    BitBtnBeispiel1: TBitBtn;
    BitBtnBeispiel2: TBitBtn;
    BitBtnBeispiel3: TBitBtn;
    BitBtnInputQuery: TBitBtn;
    BitBtnClose: TBitBtn;
    PnlUeberschrift: TPanel;
    LblAusgabe: TLabel;
    GrpBoxDlgType: TGroupBox;
    LblSyntax: TLabel;
    BvlSyntax: TBevel;
    GrpBoxButtons: TGroupBox;
    BitBtnInformation: TBitBtn;
    procedure BtnWarnungClick(Sender: TObject);
    procedure BtnFehlerClick(Sender: TObject);
    procedure BtnInformationenClick(Sender: TObject);
    procedure BtnBestaetigungClick(Sender: TObject);
    procedure BtnMeldungClick(Sender: TObject);
    procedure BtnYesClick(Sender: TObject);
    procedure BtnNoClick(Sender: TObject);
    procedure BtnOKClick(Sender: TObject);
    procedure BtnCancelClick(Sender: TObject);
    procedure BtnHelpClick(Sender: TObject);
    procedure BtnAbortClick(Sender: TObject);
    procedure BtnRetryClick(Sender: TObject);
    procedure BtnIgnoreClick(Sender: TObject);
    procedure BtnAllClick(Sender: TObject);
    procedure BtnYesNoCancelClick(Sender: TObject);
    procedure BtnOKCancelClick(Sender: TObject);
    procedure BtnAbortRetryCancelClick(Sender: TObject);
    procedure BitBtnInputBoxClick(Sender: TObject);
    procedure BitBtnBeispiel1Click(Sender: TObject);
    procedure BitBtnBeispiel2Click(Sender: TObject);
    procedure BitBtnBeispiel3Click(Sender: TObject);
    procedure BitBtnInputQueryClick(Sender: TObject);
    procedure BitBtnCloseClick(Sender: TObject);
    procedure BitBtnInformationClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

{ **************************************************************************** }
{ **************************************************************************** }

implementation

{$R *.DFM}

procedure TForm1.BtnWarnungClick(Sender: TObject);
begin
  MessageDlg('Typ mtWarning, als Warnung gedacht.',mtWarning,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnFehlerClick(Sender: TObject);
begin
  MessageDlg('Typ mtError, als Fehlermeldung gedacht.',mtError,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnInformationenClick(Sender: TObject);
begin
  MessageDlg('Typ mtInformation, als Information gedacht.',mtInformation,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnBestaetigungClick(Sender: TObject);
begin
  MessageDlg('Typ mtConfirmation, als Fragemglichkeit gedacht.',mtConfirmation,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnMeldungClick(Sender: TObject);
begin
  MessageDlg('Typ mtCustom, als Button ohne Bitmap gedacht. ' + #13 +
    'Enthlt im Titel den Namen der aufrufenden Datei.',mtCustom,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnAbortClick(Sender: TObject);
begin
  MessageDlg('Typ mbAbort (Abbrechen)',mtInformation,[mbAbort],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnAllClick(Sender: TObject);
begin
  MessageDlg('Typ mbAll (Alle)',mtInformation,[mbAll],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnCancelClick(Sender: TObject);
begin
  MessageDlg('Typ mbCancel (Abbrechen)',mtInformation,[mbCancel],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnHelpClick(Sender: TObject);
begin
  MessageDlg('Typ mbHelp (Hilfe)',mtInformation,[mbHelp,mbCancel],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnIgnoreClick(Sender: TObject);
begin
  MessageDlg('Typ mbIgnore (Ignorieren)',mtInformation,[mbIgnore],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnNoClick(Sender: TObject);
begin
  MessageDlg('Typ mbNo (Nein)',mtInformation,[mbNo],0);
end;
 
{ **************************************************************************** }

procedure TForm1.BtnOKClick(Sender: TObject);
begin
  MessageDlg('Typ mbOK (OK)',mtInformation,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnRetryClick(Sender: TObject);
begin
  MessageDlg('Typ mbRetry (Wiederholen)',mtInformation,[mbRetry],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnYesClick(Sender: TObject);
begin
  MessageDlg('Typ mbYes (Ja)',mtInformation,[mbYes],0);
end;

{ **************************************************************************** }

procedure TForm1.BtnAbortRetryCancelClick(Sender: TObject);
begin
  MessageDlg('Typ mbAbortRetryIgnore (Abbrechen, Wiederholen, Ignorieren)',mtInformation,mbAbortRetryIgnore,0);
end;

{ **************************************************************************** }

procedure TForm1.BtnOKCancelClick(Sender: TObject);
begin
  MessageDlg('Typ mbOKCancel (OK, Abbrechen)',mtInformation,mbOKCancel,0);
end;

{ **************************************************************************** }

procedure TForm1.BtnYesNoCancelClick(Sender: TObject);
begin
  MessageDlg('Typ mbYesNoCancel (Ja, Nein, Abbrechen)',mtInformation,mbYesNoCancel,0);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnBeispiel1Click(Sender: TObject);
begin
  MessageDlg('Hinweistext',mtInformation,[mbOK],0)
end;

{ **************************************************************************** }

procedure TForm1.BitBtnBeispiel2Click(Sender: TObject);
begin
  if MessageDlg('Zeile lschen?',mtWarning,[mbYes,mbNo],0) = mrYes then
    EdtAusgabe.Text := '';
end;

{ **************************************************************************** }

procedure TForm1.BitBtnBeispiel3Click(Sender: TObject);
begin
  case MessageDlg('Bitte Button drcken.',mtInformation,mbYesNoCancel,0) of
    mrYes:    ShowMessage('Yuhuu, JA-Button wurde gedrckt!');
    mrNo:     ShowMessage('Yuhuu, NEIN-Button wurde gedrckt!');
    mrCancel: ShowMessage('Yuhuu, ABBRECHEN-Button wurde gedrckt!');
  end;
end;

{ **************************************************************************** }

procedure TForm1.BitBtnInputBoxClick(Sender: TObject);
begin
  EdtAusgabe.Text:= InputBox('Eingabedialogfenster','Eingabeaufforderung','Vorgabe');
end;

{ **************************************************************************** }

procedure TForm1.BitBtnInputQueryClick(Sender: TObject);
var
  Eingabe: string;
begin
  Eingabe := 'Vorgabe-String';
  if InputQuery('Eingabefenster','Eingabeaufforderung',Eingabe) then
    EdtAusgabe.Text := 'Der neue String ist: ''' + Eingabe + '''.'
  else EdtAusgabe.Text := '''Abbrechen'' wurde gedrckt.'
end;

{ **************************************************************************** }

procedure TForm1.BitBtnInformationClick(Sender: TObject);
begin
  MessageDlg('MessageDlg-Demo (V1.0)' + #13 +
    'Demoprogramm zur Funktionsweise der MessageDlg.' + #13 + #13 +
    'M. Zirbes, 2010' + #13 + #13 +
    'Bei diesem Programm handelt es sich um Freeware,' + #13 +
    'd.h. es steht zur kostenlosen Nutzung frei zur Verfgung' + #13 +
    'und darf ohne Entgelt vervielfltigt und verbreitet werden.' + #13 + #13 +
    'Kontakt: schule@mijozi.de',mtInformation,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnCloseClick(Sender: TObject);
begin
  Close;
end;

{ **************************************************************************** }
{ **************************************************************************** }

end.

